﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Login.aspx.cs" Inherits="BlueDot.Eam.Core.Server.Login" %>

<%@ Import Namespace="BlueDot.Eam.Core.ModuleSupport" %>
<%@ Register Assembly="BlueDot.Eam.Core.Server" Namespace="BlueDot.Eam.Core.Server"
    TagPrefix="bluedot" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title><asp:Literal ID="Literal1" runat="server" Text="<%$ resources:Title %>"/></title>
    <link href="App_Themes/Main/Homepage.css" rel="Stylesheet" type="text/css" />

    <!-- Begin Framebusting -->
    <style type="text/css">
         html { visibility:hidden; }
     </style>
     <script language="javascript" type="text/javascript">
         if (self == top) {
             document.documentElement.style.visibility = 'visible';
         } else {
            top.location = self.location;
         }
     </script>      
     <!-- End Framebusting -->
     
</head>
<body>
    <form id="form1" runat="server" autocomplete="off">
    <asp:ScriptManager ID="ScriptManager1" runat="server" />
    <div class="Top_Nav">
        <div class="Top_Nav_Links">
            <asp:Literal ID="Literal2" runat="server" Text="<%$ resources:NotLoggedIn %>"/>
        </div>
    </div>
    <br />
    <asp:UpdatePanel ID="UpdatePanel1" runat="server" ChildrenAsTriggers="true" UpdateMode="Conditional">
        <ContentTemplate>
            <asp:Panel ID="Panel1" runat="server" CssClass="LoginPanel" BorderWidth="1" BorderColor="#DCD9B9"
                Width="525">
                <div style="display: block; margin-left: 25px; margin-top: 10px">
                    <span>
                        <asp:Image ID="LogoImage" runat="server" ImageUrl="~/App_Themes/Main/images/Advanced-Mobile-Logo.jpg"
                            AlternateText="<%$ resources:InforTagLine %>" />
                    </span>
                    <h1 class="Intro" style="text-transform: none; display: block; width: 475px; border-bottom: solid 1px #DCD9B9; border-top: solid 1px #DCD9B9;
                        padding-bottom: 11px; padding-top: 11px;">
                        <asp:Literal ID="Literal3" runat="server" Text="<%$ resources:LoginToPortal %>"/></h1>
                    <span style="font-family: Arial; font-size: 12px; color: #3a3a3a;">Version
                        <%= Version %></span>
                    <br />
                    <div style="display: block; margin-left: 75px;" class="Login">
                        <h2 class="Intro">
                            <asp:Literal ID="Literal4" runat="server" Text="<%$ resources:WelcomeText %>"/></h2>
                        <bluedot:CustomLogin ID="Login2" runat="server" LoginButtonType="Button" RememberMeSet="True"
                            TitleText="" CssClass="Login" DestinationPageUrl="~/Home.aspx" RememberMeText="<%$ resources:RememberMe %>">
                             <LayoutTemplate>
                                <table border="0" cellpadding="1" cellspacing="0" style="border-collapse: collapse;">
                                    <tr>
                                        <td>
                                            <table border="0" cellpadding="4">
                                                <tr>
                                                    <td align="right">
                                                        <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName" Text="<%$ resources:UserName %>"></asp:Label>
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="UserName" runat="server" Style="text-align: left" Width="200px"></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName"
                                                            ErrorMessage="<%$ resources:UserNameRequired %>" SetFocusOnError="true" ToolTip="<%$ resources:UserNameRequired %>"
                                                            ValidationGroup="Login2">*</asp:RequiredFieldValidator>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="right">
                                                        <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password" Text="<%$ resources:Password %>"></asp:Label>
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="Password" runat="server" Style="text-align: left" TextMode="Password"
                                                            Width="200px"></asp:TextBox>
                                                        <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password"
                                                            ErrorMessage="<%$ resources:PasswordRequired %>" SetFocusOnError="true" ToolTip="<%$ resources:PasswordRequired %>"
                                                            ValidationGroup="Login2">*</asp:RequiredFieldValidator>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="right" colspan="2">
                                                        <asp:Button ID="LoginButton" runat="server" CommandName="Login" Text="<%$ resources:Login %>" ValidationGroup="Login2" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="left" class="DataListContent" colspan="2" style="color: Red; width: 300px;">
                                                        <asp:Literal ID="FailureText" runat="server" EnableViewState="False"></asp:Literal>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </LayoutTemplate>
                        </bluedot:CustomLogin>
                    </div>
                    <br />
                    <asp:ValidationSummary ID="ValidationSummary1" runat="server" DisplayMode="SingleParagraph"
                        ValidationGroup="Login2" Font-Names="Arial" Font-Size="12px" />
                    <br />
                    <asp:Panel ID="LoginAsAdminPanel" runat="server" Visible='<%# CoreSettings.Default.SetupAdminAccountEnabled %>'>
                        <div class="Footer_Sub_Nav" style="border-top: solid 1px #DCD9B9; margin-left: 0px;
                            padding-top: 5px; margin-bottom: 10px; margin-right: 10px;">
                            <asp:Literal ID="Literal5" runat="server" Text="<%$ resources:FirstTime %>"/>
                            <asp:LinkButton ID="LoginAsAdminLinkButton" runat="server" OnClick="OnAdminLogin" Text="<%$ resources:LoginAdmin %>"></asp:LinkButton>
                        </div>
                    </asp:Panel>
                </div>
            </asp:Panel>
        </ContentTemplate>
    </asp:UpdatePanel>
    <asp:UpdateProgress ID="UpdateProgress1" AssociatedUpdatePanelID="UpdatePanel1" runat="server"
        DisplayAfter="200">
        <ProgressTemplate>
            <div style="position: absolute; bottom: 0%; left: 50%; margin-left: -200px;">
                <asp:Panel ID="AjaxProgramPanel" runat="server" CssClass="ProgressPanel">
                    <asp:Literal ID="progressLiteral" runat="server" Text="<%$ resources:LoginProgress %>"/></asp:Panel>
            </div>
            <ajaxToolkit:RoundedCornersExtender ID="RoundedCornersExtender1" runat="server" BehaviorID="RoundedCornersBehavior1"
                TargetControlID="AjaxProgramPanel" Radius="6" Corners="Top" />
        </ProgressTemplate>
    </asp:UpdateProgress>
    <ajaxToolkit:AlwaysVisibleControlExtender ID="avce" runat="server" TargetControlID="UpdateProgress1"
        VerticalSide="Bottom" VerticalOffset="0" HorizontalSide="Center" />
    </form>
</body>
</html>
