﻿/*
Post-Deployment Script Template							
--------------------------------------------------------------------------------------
 This file contains SQL statements that will be appended to the build script.		
 Use SQLCMD syntax to include a file in the post-deployment script.			
 Example:      :r .\myfile.sql								
 Use SQLCMD syntax to reference a variable in the post-deployment script.		
 Example:      :setvar TableName MyTable							
               SELECT * FROM [$(TableName)]					
--------------------------------------------------------------------------------------
*/
/*******************************************************************
Set the recovery model to simple
*******************************************************************/
DECLARE @query nvarchar(100)
SET @query = 'ALTER DATABASE ' + DB_NAME() + ' SET RECOVERY SIMPLE'
EXEC sp_executesql @query
IF NOT EXISTS (SELECT [ParameterId] FROM [InstallParameter] WHERE [ParameterId] = 'BinToBinTransfer')
	INSERT INTO [InstallParameter] ([ParameterId], [ParameterValue], [Description]) VALUES ('BinToBinTransfer', 'True', 'Enables/Disables Bin-to-Bin Transfers')
	
IF NOT EXISTS (SELECT [ParameterId] FROM [InstallParameter] WHERE [ParameterId] = 'PartLookup')
	INSERT INTO [InstallParameter] ([ParameterId], [ParameterValue], [Description]) VALUES ('PartLookup', 'True', 'Enables/Disables Part Lookup')
	
IF NOT EXISTS (SELECT [ParameterId] FROM [InstallParameter] WHERE [ParameterId] = 'PrintLabels')
	INSERT INTO [InstallParameter] ([ParameterId], [ParameterValue], [Description]) VALUES ('PrintLabels', 'True', 'Enables/Disables Label Printing')

-- =============================================
-- Set permissions on the database for the configured service user
-- =============================================

IF NOT EXISTS (SELECT * FROM master.dbo.syslogins WHERE loginname = N'$(Login)')
CREATE LOGIN [$(Login)] FROM WINDOWS
GO
GRANT CONNECT TO [$(Login)]
GO
BEGIN TRY
EXEC sp_addrolemember N'db_owner', N'$(Login)'
END TRY
BEGIN CATCH
END CATCH
GO


